""" Vindby
    Copyright (C) 2018  Esther Dornhelm

    This program is licensed under an Attribution-NonCommercial 4.0 International (CC BY-NC 4.0) license

    Terms and conditions of this license are defined in
    file 'LICENSE.txt', which is part of this source code package.

    See <https://creativecommons.org/licenses/by-nc/4.0/>."""

class EnergyDemand:
    """Represents the worlds energy demand"""

    def __init__(self,timeint):
        self.t=int(timeint)
        self.starting_value = 3000000000            #MWhr demand at start of game in one year converted to game time interval
        self.demandYearly = self.starting_value     #Annual forecasted demand, increases every year.
        self.demandHourly = self.demandYearly / (24*365) #The hourly demand to be met
        self.increaseRate = 0.0134021               #Starting annual increase rate, forcing first update to be at 1.3%
        self.deltaIncreaseRate = 0.03               #Decrease of increase rate per year
        self.renewableShare = 0

    def update(self): #Updated annually
        self.increaseRate *= (1-self.deltaIncreaseRate)
        self.demandYearly = self.demandYearly * (1 + self.increaseRate) ** (1) #Assuming one year intervals
        self.demandHourly = self.demandYearly / (24 * 365)

    def peakOil(self):
        oilDemand = 0.35 * self.demandYearly  # To be further integrated.
