""" Vindby
    Copyright (C) 2018  Esther Dornhelm

    This program is licensed under an Attribution-NonCommercial 4.0 International (CC BY-NC 4.0) license

    Terms and conditions of this license are defined in
    file 'LICENSE.txt', which is part of this source code package.

    See <https://creativecommons.org/licenses/by-nc/4.0/>."""

import pandas
from mSubstructureType import *

class SubstructureAll:
    """Represents all possible support structures"""

    def __init__(self):
        self.substructureListAll=[]

    def read(self):
        self.substructureListAll = []
        structure_data = pandas.read_csv('tsupportstructures.txt',header=None,sep='\t')
        for num in structure_data[1]:
            num = float(num)
        for num in structure_data[2]:
            num = float(num)

        for index, row in structure_data.iterrows():
            source={}
            source['name'] = row[0]
            source['Depth Limit'] = float(row[1])
            source['Depth Factor'] = float(row[2])
            source['Installation days per MW'] = float(row[3])
            source['Fabrication days per structure'] = float(row[4])
            x = SubstructureType(source)
            self.substructureListAll.append(x)

    def display(self):
        for struct in self.substructureListAll:
            print(struct.type)


#x=SubstructureAll()
#x.read()
#x.display()