""" Vindby
    Copyright (C) 2018  Esther Dornhelm

    This program is licensed under an Attribution-NonCommercial 4.0 International (CC BY-NC 4.0) license

    Terms and conditions of this license are defined in
    file 'LICENSE.txt', which is part of this source code package.

    See <https://creativecommons.org/licenses/by-nc/4.0/>."""

class SubstructureType:
    """Represents one type of Support Structure"""

    def __init__(self, source):
        self.type = source['name']
        self.structureUnitCost = None
        self.foundationUnitCost = None
        self.depthLimit = source['Depth Limit']
        self.depthFactor = source['Depth Factor']
        self.price = None
        self.installationDaysPerMW = source['Installation days per MW']
        self.fabricationDaysPer = source['Fabrication days per structure']

    def priceQuote(self, costs, depth, soil_quality):
        #STUBBED OUT - RIGHT NOW, FOUNDATION IS INCLUDED IN SUBSTRUCTURE COST. USE SEPERATE FOUDATION OBJECTS IN FUTURE VERSION TO BETTER DESIGN AND COST:  PILES, SUCTION BUCKETS FOR BOTTOM FIXED, AND ANCHOR, PILE, SUCTION BUCKET FOR FLOATING. INTEGRATE INTO COST
        self.structureUnitCost = costs['Structure_unitdepth_' + str(self.type)]
        self.foundationUnitCost = costs['Foundation_unitdepth_' + str(self.type)]
        if soil_quality == 'Good':
            s = 1
        elif soil_quality == 'Med':
            s = 1.5
        elif soil_quality == 'Poor':
            s = 2
        else:
            s = print('Error, I think somethings up with the soil quality')
        if 'floating' not in self.type and depth >= self.depthLimit: #Use predetermined factors to show player which structures are better for which water depths but creating very high prices where the structure is not applicable!
            applicability_cost = self.depthFactor * depth * self.structureUnitCost#An additional cost to increase costs for water depths where a given structure type is not recommended. Still possible to build, but very expensive.
        elif 'floating' not in self.type and depth < self.depthLimit:
            applicability_cost = 0
        elif 'floating' in self.type and depth <= self.depthLimit:
            applicability_cost = (self.depthLimit - depth)*self.depthFactor #Additional cost for dredging shallow areas to accomodate floating wind structures
        elif 'floating' in self.type and depth > self.depthLimit:
            applicability_cost = 0

        if 'floating' not in self.type:
            self.price = depth * self.structureUnitCost + depth * self.foundationUnitCost * s + applicability_cost + costs['transition_piece']
        else:
            self.price = self.structureUnitCost + depth * self.foundationUnitCost + applicability_cost + costs['transition_piece']

        return self.price

